#include<iostream>
using namespace std;
void brcif(unsigned long long a,unsigned long long &ad,unsigned long long &ac){
    ad=1;ac=0;
    while(a!=0){
        a=a/10;
        ad*=10;
    }
}
int max(unsigned long long a,unsigned long long b,unsigned long long c){
    if(a>=b && a>=c)
        return a;
    else if(b>=a && b>=c)
        return b;
    else
        return c;
}
int main(){
    unsigned long long ax,bx,cx,a,b,c,ad,bd,cd,ac,bc,cc;
    cin>>a>>b>>c;
    brcif(a,ad,ac);
    brcif(b,bd,bc);
    brcif(c,cd,cc);
    if(ac>=bc && ac>=cc){
        ax=a;
        bx=b*ad/bd;
        cx=c*ad/cd;
    }
    else if(bc>=ac && bc>=cc){
        ax=a*bd/ad;
        bx=b;
        cx=c*bd/cd;
    }
    else{
        ax=a*cd/ad;
        bx=b*cd/bd;
        cx=c;
    }
    if(max(ax,bx,cx)==ax){
        cout<<a;
        if(max(bx,cx)==bx)
            cout<<b<<c;
        else
            cout<<c<<b;
    }

    else if(max(ax,bx,cx)==bx){
        cout<<b;
        if(max(ax,cx)==ax)
            cout<<a<<c;
        else
            cout<<c<<a;
    }
    else{
        cout<<c;
        if(max(bx,ax)==bx)
            cout<<b<<a;
        else
            cout<<a<<b;
    }
    return 0;
}